namespace Adaptation.FileHandlers.QS408M;

#nullable enable

public class Footer
{

    public Footer(string line, string radialVariationThickness, string slot)
    {
        Line = line;
        RadialVariationThickness = radialVariationThickness;
        Slot = slot;
    }

    public string Line { get; }
    public string RadialVariationThickness { get; }
    public string Slot { get; }

    internal static Footer? Get(string text, int[] i)
    {
        Footer? result;
        _ = Run.GetToEOL(text, i);
        _ = Run.GetToEOL(text, i);
        string line = Run.GetToEOL(text, i);
        i[0] = Run.ScanPast(text, i, "thickness");
        string radialVariationThickness = Run.GetToEOL(text, i);
        _ = Run.GetToEOL(text, i);
        i[0] = Run.ScanPast(text, i, "Slot:");
        string slot = Run.GetBefore(text, i, ";");
        result = new(line,
                     radialVariationThickness,
                     slot);
        return result;
    }

}